import applications.fault_detection.state_machine as SM

print(SM.m.state)

print('x idling')
SM.m.idling()
print(SM.m.state)


print('x homing')
SM.m.homing()
print(SM.m.state)

print('x moving')
SM.m.moving()
print(SM.m.state)

print('x start transient finished')
SM.m.timer_expiration()
print(SM.m.state)

print('x at target')
SM.m.at_target()
print(SM.m.state)

print('x idling')
SM.m.idling()
print(SM.m.state)
